/*
 * Licensed to the Apache Software Foundation (ASF) under one
 *  or more contributor license agreements.  See the NOTICE file
 *  distributed with this work for additional information
 *  regarding copyright ownership.  The ASF licenses this file
 *  to you under the Apache License, Version 2.0 (the
 *  "License"); you may not use this file except in compliance
 *  with the License.  You may obtain a copy of the License at
 *  
 *     http://www.apache.org/licenses/LICENSE-2.0
 *  
 *  Unless required by applicable law or agreed to in writing,
 *  software distributed under the License is distributed on an
 *  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 *  KIND, either express or implied.  See the License for the
 *  specific language governing permissions and limitations
 *  under the License.
 */

package c10n.annotations;

import c10n.C10NConfigBase;

import java.util.Locale;

/**
 * @author rodion
 */
public class DefaultC10NAnnotations extends C10NConfigBase{
  @Override
  protected void configure() {
    bindAnnotation(En.class).toLocale(Locale.ENGLISH);
    bindAnnotation(De.class).toLocale(Locale.GERMAN);
    bindAnnotation(Fr.class).toLocale(Locale.FRENCH);
    bindAnnotation(It.class).toLocale(Locale.ITALIAN);
    bindAnnotation(Ja.class).toLocale(Locale.JAPANESE);
    bindAnnotation(Ko.class).toLocale(Locale.KOREAN);
    bindAnnotation(Ru.class).toLocale(new Locale("ru"));
    bindAnnotation(Zh.class).toLocale(Locale.CHINESE);
  }
}
